Index: /trunk/sources/HeuristicLab 3.3 Services.sln
===================================================================
--- /trunk/sources/HeuristicLab 3.3 Services.sln	(revision 4309)
+++ /trunk/sources/HeuristicLab 3.3 Services.sln	(revision 4310)
@@ -17,11 +17,7 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.OKB.DataAccess-3.3", "HeuristicLab.Services.OKB.DataAccess\3.3\HeuristicLab.Services.OKB.DataAccess-3.3.csproj", "{E36BE58F-F3CE-40BB-9AB3-9F9E30AD5CCF}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.OKB-3.3", "HeuristicLab.Services.OKB\3.3\HeuristicLab.Services.OKB-3.3.csproj", "{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.OKB.Server-3.3", "HeuristicLab.Services.OKB.Server\3.3\HeuristicLab.Services.OKB.Server-3.3.csproj", "{01AFC7D8-2A4B-42BA-91DC-750F561829BC}"
-EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.OKB.AttributeSelection-3.3", "HeuristicLab.Services.OKB.AttributeSelection\3.3\HeuristicLab.Services.OKB.AttributeSelection-3.3.csproj", "{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.OKB-3.3Lib", "HeuristicLab.Services.OKB\3.3\HeuristicLab.Services.OKB-3.3Lib.csproj", "{766DA4B7-2A0E-4CDE-8F90-93D8B1AD62CF}"
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.OKB-3.3", "HeuristicLab.Services.OKB\3.3\HeuristicLab.Services.OKB-3.3.csproj", "{766DA4B7-2A0E-4CDE-8F90-93D8B1AD62CF}"
 EndProject
 Global
@@ -101,36 +97,4 @@
 		{E36BE58F-F3CE-40BB-9AB3-9F9E30AD5CCF}.Release|x86.ActiveCfg = Release|x86
 		{E36BE58F-F3CE-40BB-9AB3-9F9E30AD5CCF}.Release|x86.Build.0 = Release|x86
-		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
-		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Debug|Mixed Platforms.Build.0 = Debug|x86
-		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Debug|x64.ActiveCfg = Debug|x64
-		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Debug|x64.Build.0 = Debug|x64
-		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Debug|x86.ActiveCfg = Debug|x86
-		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Debug|x86.Build.0 = Debug|x86
-		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Release|Any CPU.Build.0 = Release|Any CPU
-		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Release|Mixed Platforms.ActiveCfg = Release|x86
-		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Release|Mixed Platforms.Build.0 = Release|x86
-		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Release|x64.ActiveCfg = Release|x64
-		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Release|x64.Build.0 = Release|x64
-		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Release|x86.ActiveCfg = Release|x86
-		{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}.Release|x86.Build.0 = Release|x86
-		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
-		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Debug|Mixed Platforms.Build.0 = Debug|x86
-		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Debug|x64.ActiveCfg = Debug|x64
-		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Debug|x64.Build.0 = Debug|x64
-		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Debug|x86.ActiveCfg = Debug|x86
-		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Debug|x86.Build.0 = Debug|x86
-		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Release|Any CPU.Build.0 = Release|Any CPU
-		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Release|Mixed Platforms.ActiveCfg = Release|x86
-		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Release|Mixed Platforms.Build.0 = Release|x86
-		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Release|x64.ActiveCfg = Release|x64
-		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Release|x64.Build.0 = Release|x64
-		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Release|x86.ActiveCfg = Release|x86
-		{01AFC7D8-2A4B-42BA-91DC-750F561829BC}.Release|x86.Build.0 = Release|x86
 		{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}.Debug|Any CPU.Build.0 = Debug|Any CPU
Index: /trunk/sources/HeuristicLab.Services.OKB.DataAccess/3.3/HeuristicLab.Services.OKB.DataAccess-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Services.OKB.DataAccess/3.3/HeuristicLab.Services.OKB.DataAccess-3.3.csproj	(revision 4309)
+++ /trunk/sources/HeuristicLab.Services.OKB.DataAccess/3.3/HeuristicLab.Services.OKB.DataAccess-3.3.csproj	(revision 4310)
@@ -141,5 +141,7 @@
   </ItemGroup>
   <ItemGroup>
-    <None Include="app.config" />
+    <None Include="app.config">
+      <SubType>Designer</SubType>
+    </None>
     <None Include="HeuristicLab.snk" />
     <None Include="L2ST4.ttinclude" />
Index: /trunk/sources/HeuristicLab.Services.OKB.DataAccess/3.3/Properties/Settings.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.OKB.DataAccess/3.3/Properties/Settings.Designer.cs	(revision 4309)
+++ /trunk/sources/HeuristicLab.Services.OKB.DataAccess/3.3/Properties/Settings.Designer.cs	(revision 4310)
@@ -27,5 +27,6 @@
         [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
         [global::System.Configuration.SpecialSettingAttribute(global::System.Configuration.SpecialSetting.ConnectionString)]
-        [global::System.Configuration.DefaultSettingValueAttribute("Data Source=localhost;Initial Catalog=HeuristicLab.OKB;Integrated Security=SSPI")]
+        [global::System.Configuration.DefaultSettingValueAttribute("Data Source=.\\SQLEXPRESS;Integrated Security=SSPI;Initial Catalog=HeuristicLab.OK" +
+            "B")]
         public string OKBConnectionString {
             get {
Index: /trunk/sources/HeuristicLab.Services.OKB.DataAccess/3.3/Properties/Settings.settings
===================================================================
--- /trunk/sources/HeuristicLab.Services.OKB.DataAccess/3.3/Properties/Settings.settings	(revision 4309)
+++ /trunk/sources/HeuristicLab.Services.OKB.DataAccess/3.3/Properties/Settings.settings	(revision 4310)
@@ -6,8 +6,8 @@
       <DesignTimeValue Profile="(Default)">&lt;?xml version="1.0" encoding="utf-16"?&gt;
 &lt;SerializableConnectionString xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema"&gt;
-  &lt;ConnectionString&gt;Data Source=localhost;Initial Catalog=HeuristicLab.OKB;Integrated Security=SSPI&lt;/ConnectionString&gt;
+  &lt;ConnectionString&gt;Data Source=.\SQLEXPRESS;Integrated Security=SSPI;Initial Catalog=HeuristicLab.OKB&lt;/ConnectionString&gt;
   &lt;ProviderName&gt;System.Data.SqlClient&lt;/ProviderName&gt;
 &lt;/SerializableConnectionString&gt;</DesignTimeValue>
-      <Value Profile="(Default)">Data Source=localhost;Initial Catalog=HeuristicLab.OKB;Integrated Security=SSPI</Value>
+      <Value Profile="(Default)">Data Source=.\SQLEXPRESS;Integrated Security=SSPI;Initial Catalog=HeuristicLab.OKB</Value>
     </Setting>
   </Settings>
Index: /trunk/sources/HeuristicLab.Services.OKB.DataAccess/3.3/app.config
===================================================================
--- /trunk/sources/HeuristicLab.Services.OKB.DataAccess/3.3/app.config	(revision 4309)
+++ /trunk/sources/HeuristicLab.Services.OKB.DataAccess/3.3/app.config	(revision 4310)
@@ -5,5 +5,5 @@
   <connectionStrings>
     <add name="HeuristicLab.Services.OKB.DataAccess.Properties.Settings.OKBConnectionString"
-         connectionString="Data Source=localhost;Initial Catalog=HeuristicLab.OKB;Integrated Security=SSPI"
+         connectionString="Data Source=.\SQLEXPRESS;Integrated Security=SSPI;Initial Catalog=HeuristicLab.OKB"
          providerName="System.Data.SqlClient" />
   </connectionStrings>
Index: unk/sources/HeuristicLab.Services.OKB/3.3/Copy of App.config
===================================================================
--- /trunk/sources/HeuristicLab.Services.OKB/3.3/Copy of App.config	(revision 4309)
+++ 	(revision )
@@ -1,132 +1,0 @@
-<?xml version="1.0"?>
-<configuration>
-  <connectionStrings>
-    <add name="HeuristicLab.Authentication"
-         connectionString="data source=localhost;Integrated Security=SSPI;Initial Catalog=HeuristicLab.Authentication"/>
-    <add name="HeuristicLab.Services.OKB.DataAccess.Properties.Settings.OKBConnectionString"
-         connectionString="Data Source=localhost;Initial Catalog=HeuristicLab.OKB;Integrated Security=SSPI"
-         providerName="System.Data.SqlClient" />
-  </connectionStrings>
-
-  <system.web>
-    <authentication mode="Forms" />
-    <compilation debug="true" targetFramework="4.0" />
-
-    <membership>
-      <providers>
-        <clear/>
-        <add name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="HeuristicLab.Authentication"
-             enablePasswordRetrieval="false" enablePasswordReset="true" requiresQuestionAndAnswer="false" requiresUniqueEmail="false"
-             maxInvalidPasswordAttempts="5" minRequiredPasswordLength="6" minRequiredNonalphanumericCharacters="0" passwordAttemptWindow="10"
-             applicationName="HeuristicLab.Authentication" />
-      </providers>
-    </membership>
-
-    <roleManager enabled="true">
-      <providers>
-        <clear/>
-        <add name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider" connectionStringName="HeuristicLab.Authentication" applicationName="HeuristicLab.Authentication" />
-      </providers>
-    </roleManager>
-  </system.web>
-
-  <system.serviceModel>
-    <bindings>
-      <netTcpBinding>
-        <binding name="LargeMessages" openTimeout="00:00:30" receiveTimeout="00:00:30" sendTimeout="00:00:30" maxBufferSize="2147483647" maxReceivedMessageSize="2147483647">
-          <security mode="Message">
-            <message clientCredentialType="UserName"/>
-          </security>
-          <readerQuotas maxArrayLength="2147483647"/>
-          <reliableSession inactivityTimeout="00:00:30" enabled="false"/>
-        </binding>
-      </netTcpBinding>
-    </bindings>
-
-    <client/>
-
-    <behaviors>
-      <serviceBehaviors>
-        <behavior name="RunnerServiceBehaviour">
-          <serviceMetadata httpGetEnabled="true" httpGetUrl="http://localhost:8000/OKB/RunnerMex"/>
-          <serviceDebug includeExceptionDetailInFaults="true"/>
-          <serviceAuthorization principalPermissionMode="UseAspNetRoles"
-                                roleProviderName="AspNetSqlRoleProvider" />
-          <serviceCredentials>
-            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
-            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
-                                    membershipProviderName="AspNetSqlMembershipProvider"/>
-          </serviceCredentials>
-        </behavior>
-        <behavior name="AdminServiceBehaviour">
-          <serviceMetadata httpGetEnabled="true" httpGetUrl="http://localhost:8000/OKB/AdminMex"/>
-          <serviceDebug includeExceptionDetailInFaults="true"/>
-          <serviceAuthorization principalPermissionMode="UseAspNetRoles"
-                                roleProviderName="AspNetSqlRoleProvider" />
-          <serviceCredentials>
-            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
-            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
-                                    membershipProviderName="AspNetSqlMembershipProvider"/>
-          </serviceCredentials>
-        </behavior>
-        <behavior name="TableServiceBehaviour">
-          <serviceMetadata httpGetEnabled="true" httpGetUrl="http://localhost:8000/OKB/TableMex"/>
-          <serviceDebug includeExceptionDetailInFaults="true"/>
-          <serviceAuthorization principalPermissionMode="UseAspNetRoles"
-                                roleProviderName="AspNetSqlRoleProvider" />
-          <serviceCredentials>
-            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
-            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
-                                    membershipProviderName="AspNetSqlMembershipProvider"/>
-          </serviceCredentials>
-        </behavior>
-        <behavior name="QueryServiceBehaviour">
-          <serviceMetadata httpGetEnabled="true" httpGetUrl="http://localhost:8000/OKB/QueryMex"/>
-          <serviceDebug includeExceptionDetailInFaults="true"/>
-          <serviceAuthorization principalPermissionMode="UseAspNetRoles"
-                                roleProviderName="AspNetSqlRoleProvider" />
-          <serviceCredentials>
-            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
-            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
-                                    membershipProviderName="AspNetSqlMembershipProvider"/>
-          </serviceCredentials>
-        </behavior>
-        <behavior name="DataServiceBehaviour">
-          <serviceMetadata httpGetEnabled="true" httpGetUrl="http://localhost:8000/OKB/DataMex"/>
-          <serviceDebug includeExceptionDetailInFaults="true"/>
-          <serviceAuthorization principalPermissionMode="UseAspNetRoles"
-                                roleProviderName="AspNetSqlRoleProvider" />
-          <serviceCredentials>
-            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
-            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
-                                    membershipProviderName="AspNetSqlMembershipProvider"/>
-          </serviceCredentials>
-        </behavior>
-      </serviceBehaviors>
-    </behaviors>
-
-    <services>
-      <service behaviorConfiguration="RunnerServiceBehaviour" name="HeuristicLab.Services.OKB.RunnerService">
-        <endpoint address="http://localhost:8000/OKB/RunnerMex" binding="mexHttpBinding" contract="IMetadataExchange"/>
-        <endpoint address="net.tcp://localhost:8001/OKB/RunnerService" binding="netTcpBinding" bindingConfiguration="LargeMessages" contract="HeuristicLab.Services.OKB.IRunnerService">
-        </endpoint>
-      </service>
-      <service behaviorConfiguration="AdminServiceBehaviour" name="HeuristicLab.Services.OKB.AdminService">
-        <endpoint address="http://localhost:8000/OKB/AdminMex" binding="mexHttpBinding" contract="IMetadataExchange"/>
-        <endpoint address="net.tcp://localhost:8001/OKB/AdminService" binding="netTcpBinding" bindingConfiguration="LargeMessages" contract="HeuristicLab.Services.OKB.IAdminService"/>
-      </service>
-      <service behaviorConfiguration="TableServiceBehaviour" name="HeuristicLab.Services.OKB.TableService">
-        <endpoint address="http://localhost:8000/OKB/TableMex" binding="mexHttpBinding" contract="IMetadataExchange"/>
-        <endpoint address="net.tcp://localhost:8001/OKB/TableService" binding="netTcpBinding" bindingConfiguration="LargeMessages" contract="HeuristicLab.Services.OKB.ITableService"/>
-      </service>
-      <service behaviorConfiguration="QueryServiceBehaviour" name="HeuristicLab.Services.OKB.QueryService">
-        <endpoint address="http://localhost:8000/OKB/QueryMex" binding="mexHttpBinding" contract="IMetadataExchange"/>
-        <endpoint address="net.tcp://localhost:8001/OKB/QueryService" binding="netTcpBinding" bindingConfiguration="LargeMessages" contract="HeuristicLab.Services.OKB.IQueryService"/>
-      </service>
-      <service behaviorConfiguration="DataServiceBehaviour" name="HeuristicLab.Services.OKB.DataService">
-        <endpoint address="http://localhost:8000/OKB/DataMex" binding="mexHttpBinding" contract="IMetadataExchange"/>
-        <endpoint address="net.tcp://localhost:8001/OKB/DataService" binding="netTcpBinding" bindingConfiguration="LargeMessages" contract="HeuristicLab.Services.OKB.IDataService"/>
-      </service>
-    </services>
-  </system.serviceModel>
-<startup><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/></startup></configuration>
Index: /trunk/sources/HeuristicLab.Services.OKB/3.3/HeuristicLab.Services.OKB-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Services.OKB/3.3/HeuristicLab.Services.OKB-3.3.csproj	(revision 4309)
+++ /trunk/sources/HeuristicLab.Services.OKB/3.3/HeuristicLab.Services.OKB-3.3.csproj	(revision 4310)
@@ -4,38 +4,16 @@
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
     <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
-    <ProductVersion>9.0.30729</ProductVersion>
+    <ProductVersion>8.0.50727</ProductVersion>
     <SchemaVersion>2.0</SchemaVersion>
-    <ProjectGuid>{C9ABB902-C6BD-41E2-B34C-06E5C50C8397}</ProjectGuid>
+    <ProjectGuid>{766DA4B7-2A0E-4CDE-8F90-93D8B1AD62CF}</ProjectGuid>
     <OutputType>Library</OutputType>
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Services.OKB</RootNamespace>
     <AssemblyName>HeuristicLab.Services.OKB-3.3</AssemblyName>
+    <ProjectTypeGuids>{3D9AD99F-2412-4246-B90B-4EAA41C64699};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
+    <StartArguments>/client:"WcfTestClient.exe"</StartArguments>
     <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
-    <FileAlignment>512</FileAlignment>
-    <ApplicationIcon>
-    </ApplicationIcon>
-    <IsWebBootstrapper>false</IsWebBootstrapper>
-    <StartupObject>
-    </StartupObject>
-    <SignAssembly>true</SignAssembly>
-    <FileUpgradeFlags>
-    </FileUpgradeFlags>
-    <OldToolsVersion>3.5</OldToolsVersion>
-    <UpgradeBackupLocation />
-    <PublishUrl>publish\</PublishUrl>
-    <Install>true</Install>
-    <InstallFrom>Disk</InstallFrom>
-    <UpdateEnabled>false</UpdateEnabled>
-    <UpdateMode>Foreground</UpdateMode>
-    <UpdateInterval>7</UpdateInterval>
-    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
-    <UpdatePeriodically>false</UpdatePeriodically>
-    <UpdateRequired>false</UpdateRequired>
-    <MapFileExtensions>true</MapFileExtensions>
-    <ApplicationRevision>0</ApplicationRevision>
-    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
-    <UseApplicationTrust>false</UseApplicationTrust>
-    <BootstrapperEnabled>true</BootstrapperEnabled>
-    <TargetFrameworkProfile />
+    <TargetFrameworkProfile>
+    </TargetFrameworkProfile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
@@ -47,5 +25,4 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
@@ -56,44 +33,7 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.Services.OKB-3.3.xml</DocumentationFile>
-    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
   </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
-    <DebugSymbols>true</DebugSymbols>
-    <OutputPath>bin\x64\Debug\</OutputPath>
-    <DefineConstants>DEBUG;TRACE</DefineConstants>
-    <DebugType>full</DebugType>
-    <PlatformTarget>x64</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
-    <OutputPath>bin\x64\Release\</OutputPath>
-    <DefineConstants>TRACE</DefineConstants>
-    <Optimize>true</Optimize>
-    <DebugType>pdbonly</DebugType>
-    <PlatformTarget>x64</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <DocumentationFile>bin\x64\Release\HeuristicLab.Services.OKB-3.3.xml</DocumentationFile>
-    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
-    <DebugSymbols>true</DebugSymbols>
-    <OutputPath>bin\x86\Debug\</OutputPath>
-    <DefineConstants>DEBUG;TRACE</DefineConstants>
-    <DebugType>full</DebugType>
-    <PlatformTarget>x86</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
-    <OutputPath>bin\x86\Release\</OutputPath>
-    <DefineConstants>TRACE</DefineConstants>
-    <Optimize>true</Optimize>
-    <DebugType>pdbonly</DebugType>
-    <PlatformTarget>x86</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <DocumentationFile>bin\x86\Release\HeuristicLab.Services.OKB-3.3.xml</DocumentationFile>
-    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+  <PropertyGroup>
+    <SignAssembly>true</SignAssembly>
   </PropertyGroup>
   <PropertyGroup>
@@ -101,32 +41,15 @@
   </PropertyGroup>
   <ItemGroup>
-    <Reference Include="log4net">
-      <HintPath>libs\debug\log4net.dll</HintPath>
-    </Reference>
+    <Reference Include="log4net, Version=1.2.10.0, Culture=neutral, PublicKeyToken=1b44e1d426115821, processorArchitecture=MSIL" />
+    <Reference Include="Microsoft.CSharp" />
     <Reference Include="System" />
-    <Reference Include="System.Core">
-      <RequiredTargetFramework>3.5</RequiredTargetFramework>
-    </Reference>
-    <Reference Include="System.Data.Linq">
-      <RequiredTargetFramework>3.5</RequiredTargetFramework>
-    </Reference>
-    <Reference Include="System.IdentityModel">
-      <RequiredTargetFramework>3.0</RequiredTargetFramework>
-    </Reference>
-    <Reference Include="System.Runtime.Serialization">
-      <RequiredTargetFramework>3.0</RequiredTargetFramework>
-    </Reference>
-    <Reference Include="System.ServiceModel">
-      <RequiredTargetFramework>3.0</RequiredTargetFramework>
-    </Reference>
-    <Reference Include="System.ServiceProcess" />
-    <Reference Include="System.Xml.Linq">
-      <RequiredTargetFramework>3.5</RequiredTargetFramework>
-    </Reference>
-    <Reference Include="System.Data.DataSetExtensions">
-      <RequiredTargetFramework>3.5</RequiredTargetFramework>
-    </Reference>
+    <Reference Include="System.Configuration" />
+    <Reference Include="System.Core" />
     <Reference Include="System.Data" />
+    <Reference Include="System.Data.Linq" />
+    <Reference Include="System.Runtime.Serialization" />
+    <Reference Include="System.ServiceModel" />
     <Reference Include="System.Xml" />
+    <Reference Include="System.Xml.Linq" />
   </ItemGroup>
   <ItemGroup>
@@ -135,12 +58,10 @@
     <Compile Include="DataService.cs" />
     <Compile Include="ExperimentKit.cs" />
+    <Compile Include="Interfaces\IAdminService.cs" />
     <Compile Include="Interfaces\IDataService.cs" />
+    <Compile Include="Interfaces\IQueryService.cs" />
+    <Compile Include="Interfaces\IRunnerService.cs" />
     <Compile Include="Interfaces\ITableService.cs" />
-    <Compile Include="Interfaces\IQueryService.cs" />
-    <Compile Include="Interfaces\IAdminService.cs" />
-    <Compile Include="Interfaces\IRunnerService.cs" />
-    <Compile Include="Hoster.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <None Include="Properties\AssemblyInfo.frame" />
     <Compile Include="QueryService.cs" />
     <Compile Include="RunnerService.cs" />
@@ -149,42 +70,14 @@
   </ItemGroup>
   <ItemGroup>
-    <Service Include="{3259AA49-8AA1-44D3-9025-A0B520596A8C}" />
-    <Service Include="{B4F97281-0DBD-4835-9ED8-7DFB966E87FF}" />
+    <None Include="app.config" />
+    <None Include="HeuristicLab.snk" />
+    <None Include="Properties\AssemblyInfo.frame" />
   </ItemGroup>
   <ItemGroup>
-    <None Include="app.config" />
-    <None Include="HeuristicLab.snk" />
-  </ItemGroup>
-  <ItemGroup>
-    <BootstrapperPackage Include="Microsoft.Net.Client.3.5">
-      <Visible>False</Visible>
-      <ProductName>.NET Framework 3.5 SP1 Client Profile</ProductName>
-      <Install>false</Install>
-    </BootstrapperPackage>
-    <BootstrapperPackage Include="Microsoft.Net.Framework.2.0">
-      <Visible>False</Visible>
-      <ProductName>.NET Framework 2.0 %28x86%29</ProductName>
-      <Install>false</Install>
-    </BootstrapperPackage>
-    <BootstrapperPackage Include="Microsoft.Net.Framework.3.0">
-      <Visible>False</Visible>
-      <ProductName>.NET Framework 3.0 %28x86%29</ProductName>
-      <Install>false</Install>
-    </BootstrapperPackage>
-    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5">
-      <Visible>False</Visible>
-      <ProductName>.NET Framework 3.5</ProductName>
-      <Install>false</Install>
-    </BootstrapperPackage>
-    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
-      <Visible>False</Visible>
-      <ProductName>.NET Framework 3.5 SP1</ProductName>
-      <Install>true</Install>
-    </BootstrapperPackage>
-    <BootstrapperPackage Include="Microsoft.Windows.Installer.3.1">
-      <Visible>False</Visible>
-      <ProductName>Windows Installer 3.1</ProductName>
-      <Install>true</Install>
-    </BootstrapperPackage>
+    <None Include="libs\debug\log4net.dll" />
+    <None Include="libs\debug\log4net.pdb" />
+    <None Include="libs\debug\log4net.xml" />
+    <None Include="libs\release\log4net.dll" />
+    <None Include="libs\release\log4net.xml" />
   </ItemGroup>
   <ItemGroup>
@@ -198,12 +91,14 @@
     </ProjectReference>
   </ItemGroup>
-  <ItemGroup>
-    <None Include="libs\debug\log4net.dll" />
-    <None Include="libs\debug\log4net.pdb" />
-    <None Include="libs\debug\log4net.xml" />
-    <None Include="libs\release\log4net.dll" />
-    <None Include="libs\release\log4net.xml" />
-  </ItemGroup>
-  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
+  <ProjectExtensions>
+    <VisualStudio>
+      <FlavorProperties GUID="{3D9AD99F-2412-4246-B90B-4EAA41C64699}">
+        <WcfProjectProperties>
+          <AutoStart>True</AutoStart>
+        </WcfProjectProperties>
+      </FlavorProperties>
+    </VisualStudio>
+  </ProjectExtensions>
   <PropertyGroup>
     <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
Index: unk/sources/HeuristicLab.Services.OKB/3.3/HeuristicLab.Services.OKB-3.3Lib.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Services.OKB/3.3/HeuristicLab.Services.OKB-3.3Lib.csproj	(revision 4309)
+++ 	(revision )
@@ -1,104 +1,0 @@
-﻿<?xml version="1.0" encoding="utf-8"?>
-<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
-  <PropertyGroup>
-    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
-    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
-    <ProductVersion>8.0.50727</ProductVersion>
-    <SchemaVersion>2.0</SchemaVersion>
-    <ProjectGuid>{766DA4B7-2A0E-4CDE-8F90-93D8B1AD62CF}</ProjectGuid>
-    <OutputType>Library</OutputType>
-    <AppDesignerFolder>Properties</AppDesignerFolder>
-    <RootNamespace>HeuristicLab.Services.OKBLib</RootNamespace>
-    <AssemblyName>HeuristicLab.Services.OKBLib</AssemblyName>
-    <ProjectTypeGuids>{3D9AD99F-2412-4246-B90B-4EAA41C64699};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
-    <StartArguments>/client:"WcfTestClient.exe"</StartArguments>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
-    <TargetFrameworkProfile>
-    </TargetFrameworkProfile>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
-    <DebugSymbols>true</DebugSymbols>
-    <DebugType>full</DebugType>
-    <Optimize>false</Optimize>
-    <OutputPath>bin\Debug\</OutputPath>
-    <DefineConstants>DEBUG;TRACE</DefineConstants>
-    <ErrorReport>prompt</ErrorReport>
-    <WarningLevel>4</WarningLevel>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
-    <DebugType>pdbonly</DebugType>
-    <Optimize>true</Optimize>
-    <OutputPath>bin\Release\</OutputPath>
-    <DefineConstants>TRACE</DefineConstants>
-    <ErrorReport>prompt</ErrorReport>
-    <WarningLevel>4</WarningLevel>
-  </PropertyGroup>
-  <ItemGroup>
-    <Reference Include="log4net, Version=1.2.10.0, Culture=neutral, PublicKeyToken=1b44e1d426115821, processorArchitecture=MSIL" />
-    <Reference Include="Microsoft.CSharp" />
-    <Reference Include="System" />
-    <Reference Include="System.Core" />
-    <Reference Include="System.Data" />
-    <Reference Include="System.Data.Linq" />
-    <Reference Include="System.Runtime.Serialization" />
-    <Reference Include="System.ServiceModel" />
-    <Reference Include="System.Xml" />
-    <Reference Include="System.Xml.Linq" />
-  </ItemGroup>
-  <ItemGroup>
-    <Compile Include="AdminService.cs" />
-    <Compile Include="AttributeSelector.cs" />
-    <Compile Include="DataService.cs" />
-    <Compile Include="ExperimentKit.cs" />
-    <Compile Include="Hoster.cs" />
-    <Compile Include="Interfaces\IAdminService.cs" />
-    <Compile Include="Interfaces\IDataService.cs" />
-    <Compile Include="Interfaces\IQueryService.cs" />
-    <Compile Include="Interfaces\IRunnerService.cs" />
-    <Compile Include="Interfaces\ITableService.cs" />
-    <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="QueryService.cs" />
-    <Compile Include="RunnerService.cs" />
-    <Compile Include="StarterKit.cs" />
-    <Compile Include="TableService.cs" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="App.config" />
-    <None Include="Copy of App.config" />
-    <None Include="HeuristicLab.snk" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="libs\debug\log4net.dll" />
-    <None Include="libs\debug\log4net.pdb" />
-    <None Include="libs\debug\log4net.xml" />
-    <None Include="libs\release\log4net.dll" />
-    <None Include="libs\release\log4net.xml" />
-  </ItemGroup>
-  <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.Services.OKB.AttributeSelection\3.3\HeuristicLab.Services.OKB.AttributeSelection-3.3.csproj">
-      <Project>{E80A68DB-D6E1-4395-ABF0-AFE09E4DEF8B}</Project>
-      <Name>HeuristicLab.Services.OKB.AttributeSelection-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Services.OKB.DataAccess\3.3\HeuristicLab.Services.OKB.DataAccess-3.3.csproj">
-      <Project>{E36BE58F-F3CE-40BB-9AB3-9F9E30AD5CCF}</Project>
-      <Name>HeuristicLab.Services.OKB.DataAccess-3.3</Name>
-    </ProjectReference>
-  </ItemGroup>
-  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
-  <ProjectExtensions>
-    <VisualStudio>
-      <FlavorProperties GUID="{3D9AD99F-2412-4246-B90B-4EAA41C64699}">
-        <WcfProjectProperties>
-          <AutoStart>False</AutoStart>
-        </WcfProjectProperties>
-      </FlavorProperties>
-    </VisualStudio>
-  </ProjectExtensions>
-  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
-       Other similar extension points exist, see Microsoft.Common.targets.
-  <Target Name="BeforeBuild">
-  </Target>
-  <Target Name="AfterBuild">
-  </Target>
-  -->
-</Project>
Index: unk/sources/HeuristicLab.Services.OKB/3.3/Hoster.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.OKB/3.3/Hoster.cs	(revision 4309)
+++ 	(revision )
@@ -1,106 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Reflection;
-using System.ServiceModel;
-using System.ServiceModel.Description;
-using System.Text;
-using log4net;
-
-namespace HeuristicLab.Services.OKB {
-
-  /// <summary>
-  /// Simple main class for self hosting the OKB service with all necessary
-  /// services for full operation.
-  /// </summary>
-  public class Hoster {
-
-    // you might have to run
-    // netsh http add urlacl url=http://+:8000/OKB/ user=DOMAIN\username
-    // as administrator
-    /// <summary>
-    /// Main method to start the services.
-    /// </summary>
-    /// <param name="args">The args.</param>
-    public static void Main(string[] args) {
-      InitializeLogging();
-      StartService(typeof(QueryService));
-      StartService(typeof(RunnerService));
-      StartService(typeof(AdminService));
-      StartService(typeof(TableService));
-      StartService(typeof(DataService));
-      AppDomain.CurrentDomain.UnhandledException += UnhandledException;
-      Console.ReadLine();
-    }
-
-    static ILog logger = log4net.LogManager.GetLogger("HeuristicLab.Services.OKB.Hoster");
-
-    static void UnhandledException(object sender, UnhandledExceptionEventArgs e) {
-      logger.Warn("unhandled exception, e");
-    }
-
-    private static void InitializeLogging() {
-      log4net.Config.BasicConfigurator.Configure();
-    }
-
-    private static void StartService(Type type) {
-      ServiceHost host = new ServiceHost(type);
-      try {
-        host.Open();
-        PrintConfig(host);
-      }
-      catch (AddressAccessDeniedException x) {
-        Console.WriteLine(
-          "Could not process listerner request. Try running the following as Administrator:\n\n" +
-          "netsh http add urlacl url=http://+port/OKB/ user=DOMAIN\\username\n\n" +
-          x.ToString());
-      }
-      catch (Exception x) {
-        Console.WriteLine("Aborting host of type {0} due to {1}",
-          host.GetType(),
-          x.ToString());
-        host.Abort();
-      }
-    }
-
-    static void PrintConfig(ServiceHost host) {
-      Console.WriteLine("{0}", host.Description.ServiceType.Name);
-      Console.WriteLine("\n  endpoints:");
-      foreach (ServiceEndpoint se in host.Description.Endpoints) {
-        Console.WriteLine("    {0}", se.Address);
-      }
-      Console.WriteLine("\n  methods:");
-      foreach (MethodInfo mi in host.Description.ServiceType.GetMethods(
-          BindingFlags.DeclaredOnly | BindingFlags.Instance | BindingFlags.Public)) {
-        StringBuilder sb = new StringBuilder();
-        foreach (ParameterInfo pi in mi.GetParameters()) {
-          sb.Append(pi.ParameterType.Name).Append(' ').Append(pi.Name).Append(", ");
-        }
-        if (sb.Length > 2)
-          sb.Remove(sb.Length - 2, 2);
-        Console.WriteLine("    {0}({1}) : {2}", mi.Name, sb, mi.ReturnType.Name);
-      }
-      Console.WriteLine();
-    }
-
-  }
-}
Index: /trunk/sources/HeuristicLab.Services.OKB/3.3/app.config
===================================================================
--- /trunk/sources/HeuristicLab.Services.OKB/3.3/app.config	(revision 4309)
+++ /trunk/sources/HeuristicLab.Services.OKB/3.3/app.config	(revision 4310)
@@ -3,17 +3,13 @@
   <connectionStrings>
     <add name="HeuristicLab.Authentication"
-         connectionString="data source=localhost;Integrated Security=SSPI;Initial Catalog=HeuristicLab.Authentication"/>
+         connectionString="data source=.\SQLEXPRESS;Integrated Security=SSPI;Initial Catalog=HeuristicLab.Authentication" />
     <add name="HeuristicLab.Services.OKB.DataAccess.Properties.Settings.OKBConnectionString"
-         connectionString="Data Source=localhost;Initial Catalog=HeuristicLab.OKB;Integrated Security=SSPI"
-         providerName="System.Data.SqlClient" />
+         connectionString="Data Source=.\SQLEXPRESS;Integrated Security=SSPI;Initial Catalog=HeuristicLab.OKB" />
   </connectionStrings>
 
   <system.web>
-    <authentication mode="Forms" />
-    <compilation debug="true" targetFramework="4.0" />
-
     <membership>
       <providers>
-        <clear/>
+        <clear />
         <add name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="HeuristicLab.Authentication"
              enablePasswordRetrieval="false" enablePasswordReset="true" requiresQuestionAndAnswer="false" requiresUniqueEmail="false"
@@ -22,9 +18,9 @@
       </providers>
     </membership>
-
     <roleManager enabled="true">
       <providers>
-        <clear/>
-        <add name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider" connectionStringName="HeuristicLab.Authentication" applicationName="HeuristicLab.Authentication" />
+        <clear />
+        <add name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider" connectionStringName="HeuristicLab.Authentication"
+             applicationName="HeuristicLab.Authentication" />
       </providers>
     </roleManager>
@@ -33,28 +29,34 @@
   <system.serviceModel>
     <bindings>
+      <mexHttpBinding>
+        <binding name="DefaultMexHttpBinding" />
+      </mexHttpBinding>
+      <wsHttpBinding>
+        <binding name="DefaultWsHttpBinding">
+          <security mode="Message">
+            <message clientCredentialType="UserName" />
+          </security>
+        </binding>
+      </wsHttpBinding>
       <netTcpBinding>
-        <binding name="LargeMessages" openTimeout="00:00:30" receiveTimeout="00:00:30" sendTimeout="00:00:30" maxBufferSize="2147483647" maxReceivedMessageSize="2147483647">
+        <binding name="DefaultNetTcpBinding" openTimeout="00:00:30" receiveTimeout="00:00:30" sendTimeout="00:00:30" maxBufferSize="2147483647" maxReceivedMessageSize="2147483647">
           <security mode="Message">
-            <message clientCredentialType="UserName"/>
+            <message clientCredentialType="UserName" />
           </security>
-          <readerQuotas maxArrayLength="2147483647"/>
-          <reliableSession inactivityTimeout="00:00:30" enabled="false"/>
+          <readerQuotas maxArrayLength="2147483647" />
+          <reliableSession inactivityTimeout="00:00:30" enabled="false" />
         </binding>
       </netTcpBinding>
     </bindings>
 
-    <client/>
-
     <behaviors>
       <serviceBehaviors>
-        <behavior name="AdminServiceBehaviour">
+        <behavior name="DefaultServiceBehavior">
           <serviceMetadata httpGetEnabled="true" />
-          <serviceDebug includeExceptionDetailInFaults="true"/>
-          <serviceAuthorization principalPermissionMode="UseAspNetRoles"
-                                roleProviderName="AspNetSqlRoleProvider" />
+          <serviceDebug includeExceptionDetailInFaults="true" />
+          <serviceAuthorization principalPermissionMode="UseAspNetRoles" roleProviderName="AspNetSqlRoleProvider" />
           <serviceCredentials>
             <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
-            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
-                                    membershipProviderName="AspNetSqlMembershipProvider"/>
+            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider" membershipProviderName="AspNetSqlMembershipProvider" />
           </serviceCredentials>
         </behavior>
@@ -63,12 +65,60 @@
 
     <services>
-      <service behaviorConfiguration="AdminServiceBehaviour" name="HeuristicLab.Services.OKB.AdminService">
-        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
-        <endpoint binding="netTcpBinding" bindingConfiguration="LargeMessages"
-          contract="HeuristicLab.Services.OKB.IAdminService" />
+      <service name="HeuristicLab.Services.OKB.AdminService" behaviorConfiguration="DefaultServiceBehavior">
+        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration="DefaultMexHttpBinding" contract="IMetadataExchange" />
+        <endpoint binding="wsHttpBinding" bindingConfiguration="DefaultWsHttpBinding" contract="HeuristicLab.Services.OKB.IAdminService" />
+        <endpoint binding="netTcpBinding" bindingConfiguration="DefaultNetTcpBinding" contract="HeuristicLab.Services.OKB.IAdminService" />
         <host>
           <baseAddresses>
-            <add baseAddress="http://localhost:8732/Design_Time_Addresses/OKB/AdminService/" />
-            <add baseAddress="net.tcp://localhost:8733/OKB/AdminService/" />
+            <add baseAddress="http://localhost:8732/Design_Time_Addresses/OKB-3.3/AdminService" />
+            <add baseAddress="net.tcp://localhost:8733/OKB-3.3/AdminService" />
+          </baseAddresses>
+        </host>
+      </service>
+
+      <service name="HeuristicLab.Services.OKB.TableService" behaviorConfiguration="DefaultServiceBehavior">
+        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration="DefaultMexHttpBinding" contract="IMetadataExchange" />
+        <endpoint binding="wsHttpBinding" bindingConfiguration="DefaultWsHttpBinding" contract="HeuristicLab.Services.OKB.ITableService" />
+        <endpoint binding="netTcpBinding" bindingConfiguration="DefaultNetTcpBinding" contract="HeuristicLab.Services.OKB.ITableService" />
+        <host>
+          <baseAddresses>
+            <add baseAddress="http://localhost:8732/Design_Time_Addresses/OKB-3.3/TableService" />
+            <add baseAddress="net.tcp://localhost:8733/OKB-3.3/TableService" />
+          </baseAddresses>
+        </host>
+      </service>
+
+      <service name="HeuristicLab.Services.OKB.DataService" behaviorConfiguration="DefaultServiceBehavior">
+        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration="DefaultMexHttpBinding" contract="IMetadataExchange" />
+        <endpoint binding="wsHttpBinding" bindingConfiguration="DefaultWsHttpBinding" contract="HeuristicLab.Services.OKB.IDataService" />
+        <endpoint binding="netTcpBinding" bindingConfiguration="DefaultNetTcpBinding" contract="HeuristicLab.Services.OKB.IDataService" />
+        <host>
+          <baseAddresses>
+            <add baseAddress="http://localhost:8732/Design_Time_Addresses/OKB-3.3/DataService" />
+            <add baseAddress="net.tcp://localhost:8733/OKB-3.3/DataService" />
+          </baseAddresses>
+        </host>
+      </service>
+
+      <service name="HeuristicLab.Services.OKB.RunnerService" behaviorConfiguration="DefaultServiceBehavior">
+        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration="DefaultMexHttpBinding" contract="IMetadataExchange" />
+        <endpoint binding="wsHttpBinding" bindingConfiguration="DefaultWsHttpBinding" contract="HeuristicLab.Services.OKB.IRunnerService" />
+        <endpoint binding="netTcpBinding" bindingConfiguration="DefaultNetTcpBinding" contract="HeuristicLab.Services.OKB.IRunnerService" />
+        <host>
+          <baseAddresses>
+            <add baseAddress="http://localhost:8732/Design_Time_Addresses/OKB-3.3/RunnerService" />
+            <add baseAddress="net.tcp://localhost:8733/OKB-3.3/RunnerService" />
+          </baseAddresses>
+        </host>
+      </service>
+
+      <service name="HeuristicLab.Services.OKB.QueryService" behaviorConfiguration="DefaultServiceBehavior">
+        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration="DefaultMexHttpBinding" contract="IMetadataExchange" />
+        <endpoint binding="wsHttpBinding" bindingConfiguration="DefaultWsHttpBinding" contract="HeuristicLab.Services.OKB.IQueryService" />
+        <endpoint binding="netTcpBinding" bindingConfiguration="DefaultNetTcpBinding" contract="HeuristicLab.Services.OKB.IQueryService" />
+        <host>
+          <baseAddresses>
+            <add baseAddress="http://localhost:8732/Design_Time_Addresses/OKB-3.3/QueryService" />
+            <add baseAddress="net.tcp://localhost:8733/OKB-3.3/QueryService" />
           </baseAddresses>
         </host>
@@ -76,3 +126,7 @@
     </services>
   </system.serviceModel>
-<startup><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/></startup></configuration>
+
+  <startup>
+    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0" />
+  </startup>
+</configuration>
